PointCloudClippingBoxesListItemBuilder Class

class NXOpen.Display.PointCloudClippingBoxesListItemBuilder

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents a NXOpen.Display.PointCloudClippingBoxesListItemBuilder to create clipping regions for NXOpen.Display.PointCloud.

To create a new instance of this class, use NXOpen.Display.PointCloudBuilder.CreateClippingBoxesListItemBuilder()

New in version NX11.0.0.

Properties

Property Description
ClippingEndPoint Returns or sets the end point of the clipping box diagonal
ClippingSide Returns or sets the clipping side of the defined clipping box
ClippingStartPoint Returns or sets the start point of the clipping box diagonal.
Tag Returns the Tag for this object.

Methods

Method Description
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

PointCloudClippingBoxesListItemBuilderClippingSides Enumeration Specifies clipping side options used for defined clipping box.

Property Detail

ClippingEndPoint

PointCloudClippingBoxesListItemBuilder.ClippingEndPoint

Returns or sets the end point of the clipping box diagonal

-------------------------------------

Getter Method

Signature ClippingEndPoint()

Returns:
Return type:NXOpen.Point

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ClippingEndPoint(clippingEndPoint)

Parameters:clippingEndPoint (NXOpen.Point) –

New in version NX11.0.0.

License requirements: nx_point_cloud_view (“NX Point Cloud Viewer”)

ClippingSide

PointCloudClippingBoxesListItemBuilder.ClippingSide

Returns or sets the clipping side of the defined clipping box

-------------------------------------

Getter Method

Signature ClippingSide()

Returns:
Return type:NXOpen.Display.PointCloudClippingBoxesListItemBuilderClippingSides

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ClippingSide(clippingSide)

Parameters:clippingSide (NXOpen.Display.PointCloudClippingBoxesListItemBuilderClippingSides) –

New in version NX11.0.0.

License requirements: nx_point_cloud_view (“NX Point Cloud Viewer”)

ClippingStartPoint

PointCloudClippingBoxesListItemBuilder.ClippingStartPoint

Returns or sets the start point of the clipping box diagonal.

-------------------------------------

Getter Method

Signature ClippingStartPoint()

Returns:
Return type:NXOpen.Point

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ClippingStartPoint(clippingStartPoint)

Parameters:clippingStartPoint (NXOpen.Point) –

New in version NX11.0.0.

License requirements: nx_point_cloud_view (“NX Point Cloud Viewer”)

Method Detail

Validate

PointCloudClippingBoxesListItemBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.